#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: wnodes_cli
Version: 1.0.3
Release: 7%{?dist}
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES CLI

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: python-simplejson
Requires: wnodes_utils

%description
It contains bait of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post

%preun 

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%dir %{_sysconfdir}/wnodes/cli
%config(noreplace) %{_sysconfdir}/wnodes/cli/wnodes-cli.cfg.ref
%config(noreplace) %{_sysconfdir}/wnodes/cli/wnodes-cli.cfg

%dir %{_bindir}/wnodes/cli
%{_bindir}/wnodes/cli/wnodes_create_image
%{_bindir}/wnodes/cli/wnodes_delete_image
%{_bindir}/wnodes/cli/wnodes_list_image
%{_bindir}/wnodes/cli/wnodes_list_images
%{_bindir}/wnodes/cli/wnodes_list_images_tags
%{_bindir}/wnodes/cli/size_images_info

%defattr(-, root, root, 0755)
%dir %{python_sitearch}/wnodes/cli
%{python_sitearch}/wnodes/cli/__init__.py
%{python_sitearch}/wnodes/cli/__init__.pyc
%{python_sitearch}/wnodes/cli/__init__.pyo
%{python_sitearch}/wnodes/cli/commands/create_occi.py
%{python_sitearch}/wnodes/cli/commands/create_occi.pyc
%{python_sitearch}/wnodes/cli/commands/create_occi.pyo
%{python_sitearch}/wnodes/cli/commands/delete_occi.py
%{python_sitearch}/wnodes/cli/commands/delete_occi.pyc
%{python_sitearch}/wnodes/cli/commands/delete_occi.pyo
%{python_sitearch}/wnodes/cli/commands/errors.py
%{python_sitearch}/wnodes/cli/commands/errors.pyc
%{python_sitearch}/wnodes/cli/commands/errors.pyo
%{python_sitearch}/wnodes/cli/commands/__init__.py
%{python_sitearch}/wnodes/cli/commands/__init__.pyc
%{python_sitearch}/wnodes/cli/commands/__init__.pyo
%{python_sitearch}/wnodes/cli/commands/list_occi.py
%{python_sitearch}/wnodes/cli/commands/list_occi.pyc
%{python_sitearch}/wnodes/cli/commands/list_occi.pyo
%{python_sitearch}/wnodes/cli/providers/__init__.py
%{python_sitearch}/wnodes/cli/providers/__init__.pyc
%{python_sitearch}/wnodes/cli/providers/__init__.pyo
%{python_sitearch}/wnodes/cli/providers/infoproviders.py
%{python_sitearch}/wnodes/cli/providers/infoproviders.pyc
%{python_sitearch}/wnodes/cli/providers/infoproviders.pyo
%{python_sitearch}/wnodes/cli/providers/size-images-info.json
%{python_sitearch}/wnodes/cli/utils/checks.py
%{python_sitearch}/wnodes/cli/utils/checks.pyc
%{python_sitearch}/wnodes/cli/utils/checks.pyo
%{python_sitearch}/wnodes/cli/utils/get_config.py
%{python_sitearch}/wnodes/cli/utils/get_config.pyc
%{python_sitearch}/wnodes/cli/utils/get_config.pyo
%{python_sitearch}/wnodes/cli/utils/__init__.py
%{python_sitearch}/wnodes/cli/utils/__init__.pyc
%{python_sitearch}/wnodes/cli/utils/__init__.pyo
%{python_sitearch}/wnodes/cli/utils/list_images_tags.py
%{python_sitearch}/wnodes/cli/utils/list_images_tags.pyc
%{python_sitearch}/wnodes/cli/utils/list_images_tags.pyo
%{python_sitearch}/wnodes/cli/utils/load_config.py
%{python_sitearch}/wnodes/cli/utils/load_config.pyc
%{python_sitearch}/wnodes/cli/utils/load_config.pyo
%{python_sitearch}/wnodes/cli/utils/location.py
%{python_sitearch}/wnodes/cli/utils/location.pyc
%{python_sitearch}/wnodes/cli/utils/location.pyo
%{python_sitearch}/wnodes/cli/utils/user.py
%{python_sitearch}/wnodes/cli/utils/user.pyc
%{python_sitearch}/wnodes/cli/utils/user.pyo
%{python_sitearch}/wnodes/cli/utils/utilities.py
%{python_sitearch}/wnodes/cli/utils/utilities.pyc
%{python_sitearch}/wnodes/cli/utils/utilities.pyo
%{python_sitearch}/wnodes/cli/utils/server_errors.py
%{python_sitearch}/wnodes/cli/utils/server_errors.pyc
%{python_sitearch}/wnodes/cli/utils/server_errors.pyo

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Thu Jan 31 2013 Elisabetta Roncheiri
- Added a new command wnodes_site_image_info
- Added option -c wherever necessary

* Fri Nov 16 2012 Elisabetta Roncheiri
- Changed the managing of the package
